Passenger: Passenger::MessageServer::CommonClientContext Class Reference

# Passenger::MessageServer::CommonClientContext Class Reference

A common client context, containing client-specific information used by MessageServer itself. More...

`#include <MessageServer.h>`

Inheritance diagram for Passenger::MessageServer::CommonClientContext:
[legend]

List of all members.

## Public Member Functions
string | name ()
| Returns a string representation for this client context.
void | requireRights (Account::Rights rights)
| Checks whether this client has all of the rights in `rights`.
## Public Attributes
FileDescriptor | fd
| The client's socket file descriptor.
MessageChannel | channel
| The channel that's associated with the client's socket.
AccountPtr | account
| The account with which the client authenticated.

## Detailed Description

A common client context, containing client-specific information used by MessageServer itself.

## Member Function Documentation

string Passenger::MessageServer::CommonClientContext::name | ( |  | ) | `[inline]`

Returns a string representation for this client context.

void Passenger::MessageServer::CommonClientContext::requireRights | ( | Account::Rights | rights | ) | `[inline]`

Checks whether this client has all of the rights in `rights`.

The client will be notified about the result of this check, by sending it a message.

Exceptions:

  | SecurityException | The client doesn't have one of the required rights.
  | SystemException | Something went wrong while communicating with the client.
  | boost::thread_interrupted |

## Member Data Documentation

AccountPtr Passenger::MessageServer::CommonClientContext::account

The account with which the client authenticated.

MessageChannel Passenger::MessageServer::CommonClientContext::channel

The channel that's associated with the client's socket.

FileDescriptor Passenger::MessageServer::CommonClientContext::fd

The client's socket file descriptor.

The documentation for this class was generated from the following file:

- MessageServer.h